## UIM Register Events request UIM Register Events request |

## Functions

QmiMessageUimRegisterEventsInput * | qmi_message_uim_register_events_input_new ()
QmiMessageUimRegisterEventsInput * | qmi_message_uim_register_events_input_ref ()
void | qmi_message_uim_register_events_input_unref ()
gboolean | qmi_message_uim_register_events_input_get_event_registration_mask ()
gboolean | qmi_message_uim_register_events_input_set_event_registration_mask ()
QmiMessageUimRegisterEventsOutput * | qmi_message_uim_register_events_output_ref ()
void | qmi_message_uim_register_events_output_unref ()
gboolean | qmi_message_uim_register_events_output_get_result ()
gboolean | qmi_message_uim_register_events_output_get_event_registration_mask ()
void | qmi_client_uim_register_events ()
QmiMessageUimRegisterEventsOutput * | qmi_client_uim_register_events_finish ()

## Types and Values

| QmiMessageUimRegisterEventsInput
| QmiMessageUimRegisterEventsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimRegisterEventsInput
        ╰── QmiMessageUimRegisterEventsOutput

## Description

## Functions

### qmi_message_uim_register_events_input_new ()

    QmiMessageUimRegisterEventsInput *
    qmi_message_uim_register_events_input_new
                                   (void);

Allocates a new QmiMessageUimRegisterEventsInput.

#### Returns

the newly created QmiMessageUimRegisterEventsInput. The returned value should be freed with `qmi_message_uim_register_events_input_unref()`.

Since: 1.22.4

### qmi_message_uim_register_events_input_ref ()

    QmiMessageUimRegisterEventsInput *
    qmi_message_uim_register_events_input_ref
                                   (QmiMessageUimRegisterEventsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRegisterEventsInput. |

#### Returns

the new reference to `self` .

Since: 1.22.4

### qmi_message_uim_register_events_input_unref ()

    void
    qmi_message_uim_register_events_input_unref
                                   (QmiMessageUimRegisterEventsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRegisterEventsInput. |

Since: 1.22.4

### qmi_message_uim_register_events_input_get_event_registration_mask ()

    gboolean
    qmi_message_uim_register_events_input_get_event_registration_mask
                                   (QmiMessageUimRegisterEventsInput *self,
                                    QmiUimEventRegistrationFlag *value_event_registration_mask,
                                    GError **error);

Get the 'Event Registration Mask' field from `self` .

#### Parameters

self | a QmiMessageUimRegisterEventsInput. |
value_event_registration_mask | a placeholder for the output QmiUimEventRegistrationFlag, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22.4

### qmi_message_uim_register_events_input_set_event_registration_mask ()

    gboolean
    qmi_message_uim_register_events_input_set_event_registration_mask
                                   (QmiMessageUimRegisterEventsInput *self,
                                    QmiUimEventRegistrationFlag value_event_registration_mask,
                                    GError **error);

Set the 'Event Registration Mask' field in the message.

#### Parameters

self | a QmiMessageUimRegisterEventsInput. |
value_event_registration_mask | a QmiUimEventRegistrationFlag. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22.4

### qmi_message_uim_register_events_output_ref ()

    QmiMessageUimRegisterEventsOutput *
    qmi_message_uim_register_events_output_ref
                                   (QmiMessageUimRegisterEventsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRegisterEventsOutput. |

#### Returns

the new reference to `self` .

Since: 1.22.4

### qmi_message_uim_register_events_output_unref ()

    void
    qmi_message_uim_register_events_output_unref
                                   (QmiMessageUimRegisterEventsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRegisterEventsOutput. |

Since: 1.22.4

### qmi_message_uim_register_events_output_get_result ()

    gboolean
    qmi_message_uim_register_events_output_get_result
                                   (QmiMessageUimRegisterEventsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimRegisterEventsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.22.4

### qmi_message_uim_register_events_output_get_event_registration_mask ()

    gboolean
    qmi_message_uim_register_events_output_get_event_registration_mask
                                   (QmiMessageUimRegisterEventsOutput *self,
                                    QmiUimEventRegistrationFlag *value_event_registration_mask,
                                    GError **error);

Get the 'Event Registration Mask' field from `self` .

#### Parameters

self | a QmiMessageUimRegisterEventsOutput. |
value_event_registration_mask | a placeholder for the output QmiUimEventRegistrationFlag, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22.4

### qmi_client_uim_register_events ()

    void
    qmi_client_uim_register_events (QmiClientUim *self,
                                    QmiMessageUimRegisterEventsInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Register Events request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_register_events_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimRegisterEventsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22.4

### qmi_client_uim_register_events_finish ()

    QmiMessageUimRegisterEventsOutput *
    qmi_client_uim_register_events_finish (QmiClientUim *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_uim_register_events()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_register_events()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimRegisterEventsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_register_events_output_unref()`.

Since: 1.22.4

## Types and Values

### QmiMessageUimRegisterEventsInput

    typedef struct _QmiMessageUimRegisterEventsInput QmiMessageUimRegisterEventsInput;

The QmiMessageUimRegisterEventsInput structure contains private data and should only be accessed using the provided API.

Since: 1.22.4

### QmiMessageUimRegisterEventsOutput

    typedef struct _QmiMessageUimRegisterEventsOutput QmiMessageUimRegisterEventsOutput;

The QmiMessageUimRegisterEventsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22.4